> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete donors



## OpenAPI

````yaml delete /admin/delete/donors
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/delete/donors:
    delete:
      tags:
        - Donors
      summary: Delete donors
      operationId: 46fb9d01c8e77bdacd84d2aa9815a7c6
      parameters:
        - name: donor_ids
          in: query
          description: Comma-separated list of entity IDs to delete
          required: true
          schema:
            type: string
            example: 1,2,3
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Successfully deleted donors.
                type: object
        '400':
          description: Invalid input
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Invalid input.
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````